from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XNativeNumberSupplier(XInterface, Protocol):
    def getNativeNumberString(self, aNumberString: str, aLocale: Locale, nNativeNumberMode: int) -> str: ...
    def isValidNatNum(self, aLocale: Locale, nNativeNumberMode: int) -> bool: ...
    def convertToXmlAttributes(self, aLocale: Locale, nNativeNumberMode: int) -> NativeNumberXmlAttributes: ...
    def convertFromXmlAttributes(self, aAttr: NativeNumberXmlAttributes) -> int: ...
